### Method

# EDataBook DataBookCursor set_alphabetic_index

since: 3.12

#### Declaration [src]

    gboolean
    e_data_book_cursor_set_alphabetic_index (
      EDataBookCursor* cursor,
      gint index,
      const gchar* locale,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Sets the `cursor` position to an Alphabetic Index into the alphabet active in the `locale` of the addressbook.

After setting the target to an alphabetic index, for example the index for letter ‘E’, then further calls to `e_data_book_cursor_step()` will return results starting with the letter ‘E’ (or results starting with the last result in ‘D’, if moving in a negative direction).

The passed index must be a valid index in `locale`, if by some chance the addressbook backend has changed into a new locale after this call has been issued, an `E_CLIENT_ERROR_OUT_OF_SYNC` error will be issued indicating that there was a locale mismatch.

Available since: 3.12

#### Parameters

`index`

  Type: `gint`

  The alphabetic index.

`locale`

  Type: `const gchar*`

  The locale in which `index` is expected to be a valid alphabetic index.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, otherwise `FALSE` is returned and `error` is set.